﻿#language: ru

@milk_reception

Функционал: 01_milk_reception.02.003 Создание документа Регистрация показателей поставщиков

Сценарий: 01_milk_reception.02.003 Создание документа Регистрация показателей поставщиков для поставщика 1
	Дано Я подключаюсь под "milk_rec_Лаборант-микробиолог"
	И В командном интерфейсе я выбираю 'Производство' 'Регистрации показателей поставщиков'
	Тогда открылось окно 'Регистрации показателей поставщиков'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание)'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_Молоко' 	 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_rec_Микробиология молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И я нажимаю кнопку выбора у поля "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И в поле "Начало действия" я ввожу текст "21.02.2019"
	И в поле "Конец действия" я ввожу конец текущего месяца
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 		|
		| 'Плотность молока'    |
	И в таблице "Показатели" в поле 'Значение показателя' я ввожу текст '1 027,000'
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 		     |
		| 'Ингибирующие вещества'    |
	И в таблице "Показатели" из выпадающего списка "Значение показателя" я выбираю точное значение 'Нет'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Регистрация показателей поставщиков (создание) *' в течение 20 секунд
	Тогда открылось окно 'Регистрации показателей поставщиков'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Регистрация показателей поставщиков * от *' | ''                | ''                | ''                     			| ''            | ''             | ''                      | ''                    | ''                    |
		| ''                                                              | ''                | ''                | ''                     			| ''            | ''             | ''                      | ''                    | ''                    |
		| 'Регистр сведений "Показатели поставщиков" (2)'                 | ''                | ''                | ''                     			| ''            | ''             | ''                      | ''                    | ''                    |
		| 'Стандартные реквизиты'                                         | ''                | 'Измерения'       | ''                     			| ''            | ''             | ''                      | 'Ресурсы'             | 'Реквизиты'           |
		| 'Активность'                                                    | 'Начало действия' | 'Номенклатура'    | 'Вид анализа'          			| 'Поставщик'   | 'Пункт сборки' | 'Показатель'            | 'Значение показателя' | 'Конец действия'      |
		| 'Да'                                                            | '21.02.2019'      | 'milk_rec_Молоко' | 'milk_rec_Микробиология молока' | 'Поставщик 1' | ''             | 'Плотность молока'      | '1 027,000'           | '* 23:59:59'          |
		| 'Да'                                                            | '21.02.2019'      | 'milk_rec_Молоко' | 'milk_rec_Микробиология молока' | 'Поставщик 1' | ''             | 'Ингибирующие вещества' | 'Нет'                 | '* 23:59:59'          |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Регистрации показателей поставщиков'
	И Я закрываю окно 'Регистрации показателей поставщиков'

Сценарий: 01_milk_reception.02.003 Создание документа Регистрация показателей поставщиков для поставщика 2
	И В командном интерфейсе я выбираю 'Производство' 'Регистрации показателей поставщиков'
	Тогда открылось окно 'Регистрации показателей поставщиков'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание)'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_Молоко' 	 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_rec_Микробиология молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И я нажимаю кнопку выбора у поля "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И я нажимаю кнопку выбора у поля "Пункт сборки"
	Тогда открылось окно 'Пункты сборки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'д.Остино'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей поставщиков (создание) *'
	И в поле "Начало действия" я ввожу текст "12.03.2019"
	И в поле "Конец действия" я ввожу конец текущего месяца
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 		|
		| 'Плотность молока'    |
	И в таблице "Показатели" в поле 'Значение показателя' я ввожу текст '1 026,000'
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 		     |
		| 'Ингибирующие вещества'    |
	И в таблице "Показатели" из выпадающего списка "Значение показателя" я выбираю точное значение 'Нет'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Регистрация показателей поставщиков (создание) *' в течение 20 секунд
	Тогда открылось окно 'Регистрации показателей поставщиков'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Регистрация показателей поставщиков * от *' | ''                | ''             		| ''                     		  | ''            | ''             | ''                      | ''                    | ''                    |
		| ''                                                              | ''                | ''            		| ''                     		  | ''            | ''             | ''                      | ''                    | ''                    |
		| 'Регистр сведений "Показатели поставщиков" (2)'                 | ''                | ''             		| ''                     		  | ''            | ''             | ''                      | ''                    | ''                    |
		| 'Стандартные реквизиты'                                         | ''                | 'Измерения'    		| ''                     		  | ''            | ''             | ''                      | 'Ресурсы'             | 'Реквизиты'           |
		| 'Активность'                                                    | 'Начало действия' | 'Номенклатура' 		| 'Вид анализа'          		  | 'Поставщик'   | 'Пункт сборки' | 'Показатель'            | 'Значение показателя' | 'Конец действия'      |
		| 'Да'                                                            | '12.03.2019'      | 'milk_rec_Молоко'   | 'milk_rec_Микробиология молока' | 'Поставщик2'  | 'д.Остино'     | 'Плотность молока'      | '1 026,000'           | '* 23:59:59'          |
		| 'Да'                                                            | '12.03.2019'      | 'milk_rec_Молоко'   | 'milk_rec_Микробиология молока' | 'Поставщик2'  | 'д.Остино'     | 'Ингибирующие вещества' | 'Нет'                 | '* 23:59:59'          |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Регистрации показателей поставщиков'
	И Я закрываю окно 'Регистрации показателей поставщиков'

Сценарий: 01_milk_reception.02.003 Закрытие клиента
	И я закрываю сеанс TESTCLIENT